package com.kcim.service;

import com.kcim.dao.model.DiseaseTypeDiagMap;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletResponse;

/**
 * @program: CostAccount
 * @description: 诊断与病种对照接口
 * @author: Wang.YS
 * @create: 2023-11-07 19:12
 **/
public interface DiseaseTypeDiagMapService {
    Object getDiseaseTypeMapList(Integer current, Integer pageSize, String name, Integer type);

    void addDiseaseTypeMap(DiseaseTypeDiagMap request);

    void deleteDiseaseTypeMap(Integer id);

    void editDiseaseTypeMap(DiseaseTypeDiagMap request);

    Object exportDiseaseTypeMap(HttpServletResponse response);

    void importDiseaseTypeMap(MultipartFile file);

    void matchDiseaseTypeMap();
}
